### Method

# GSSDP Client set_server_id

#### Declaration [src]

    void
    gssdp_client_set_server_id (
      GSSDPClient* client,
      const char* server_id
    )

#### Description [src]

Sets the server ID of `client` to `server_id`. This string is used as the “Server:” identification header for SSDP discovery and response packets and “User-Agent” header for searches.

By default, GSSDP will generate a header conforming to the requirements defined in the UDA documents: OS/Version UPnP/Version GSSDP/Version.

Sets property | `GSSDP.Client:server-id`

#### Parameters

`server_id`

  Type: `const char*`

  The server ID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.